org.apache.calcite.avatica.remote

## Class Handler.HandlerResponse<T>

- java.lang.Object
- - org.apache.calcite.avatica.remote.Handler.HandlerResponse<T>

Type Parameters:
  `T` - the response type

Enclosing interface:
  Handler<T>

    public static class Handler.HandlerResponse<T>
    extends Object

Struct that encapsulates the context of the result of a request to Avatica.

### Field Summary

Fields
`private T` `response`
`private int` `statusCode`

### Constructor Summary

Constructors
Constructor and Description
`HandlerResponse(T response, int statusCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getResponse()`
`int` `getStatusCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### response

    private final T response

#### statusCode

    private final int statusCode

### Constructor Detail

#### HandlerResponse

    public HandlerResponse(T response,
                           int statusCode)

### Method Detail

#### getResponse

    public T getResponse()

#### getStatusCode

    public int getStatusCode()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`